- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Properties

# QPushButton Class Reference

Search for all occurrences

## Detailed Description

Examples:

  MeshDisplace/displacer.cpp.

Definition at line 57 of file qpushbutton.h.

`#include <qpushbutton.h>`

Inheritance diagram for QPushButton:
[legend]

List of all members.

## Public Slots
void | showMenu ()
## Public Member Functions
| QPushButton (QWidget *parent=0)
| QPushButton (const QString &text, QWidget *parent=0)
| QPushButton (const QIcon &icon, const QString &text, QWidget *parent=0)
| ~QPushButton ()
QSize | sizeHint () const
QSize | minimumSizeHint () const
bool | autoDefault () const
void | setAutoDefault (bool)
bool | isDefault () const
void | setDefault (bool)
void | setMenu (QMenu *menu)
QMenu * | menu () const
void | setFlat (bool)
bool | isFlat () const
## Protected Member Functions
bool | event (QEvent *e)
void | paintEvent (QPaintEvent *)
void | keyPressEvent (QKeyEvent *)
void | focusInEvent (QFocusEvent *)
void | focusOutEvent (QFocusEvent *)
void | initStyleOption (QStyleOptionButton *option) const
| QPushButton (QPushButtonPrivate &dd, QWidget *parent=0)
## Properties
bool | autoDefault
bool | default
bool | flat

## Constructor & Destructor Documentation

QPushButton | ( | QWidget * | parent = `0` | ) | `[explicit]`

QPushButton | ( | const QString & | text,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QPushButton | ( | const QIcon & | icon,
|  | const QString & | text,
|  | QWidget * | parent = `0`
| ) |  |

~QPushButton | ( |  | ) |

QPushButton | ( | QPushButtonPrivate & | dd,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QCommandLinkButton.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QCommandLinkButton.

bool autoDefault | ( |  | ) | const

Search for all occurrences

void setAutoDefault | ( | bool |  | ) |

Search for all occurrences

bool isDefault | ( |  | ) | const

Search for all occurrences

void setDefault | ( | bool |  | ) |

Search for all occurrences

void setMenu | ( | QMenu * | menu | ) |

Search for all occurrences

QMenu* menu | ( |  | ) | const

Search for all occurrences

void setFlat | ( | bool |  | ) |

Search for all occurrences

bool isFlat | ( |  | ) | const

Search for all occurrences

void showMenu | ( |  | ) | `[slot]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

Reimplemented in QCommandLinkButton.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractButton.

Reimplemented in QCommandLinkButton.

void keyPressEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void focusInEvent | ( | QFocusEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void focusOutEvent | ( | QFocusEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractButton.

void initStyleOption | ( | QStyleOptionButton * | option | ) | const `[protected]`

Search for all occurrences

## Property Documentation

bool autoDefault `[read, write]`

Search for all occurrences

Definition at line 61 of file qpushbutton.h.

bool default `[read, write]`

Search for all occurrences

Definition at line 62 of file qpushbutton.h.

bool flat `[read, write]`

Search for all occurrences

Reimplemented in QCommandLinkButton.

Definition at line 63 of file qpushbutton.h.

The documentation for this class was generated from the following file:

- QtGui/qpushbutton.h

QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton
QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton QPushButton